package com.th.demo.mapping.system;

import com.th.demo.model.system.SysRoleMenu;

import java.util.List;

public interface SysRoleMenuMapper {
    int deleteByPrimaryKey(String id);

    
    int deleteByRoleMenu(String roleId, String menuId);

    int insert(SysRoleMenu record);

    int insertSelective(SysRoleMenu record);

    SysRoleMenu selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(SysRoleMenu record);

    int updateByPrimaryKey(SysRoleMenu record);


    List<SysRoleMenu> selectByRoleId(String roleId);

    int  deleteByRoleId(String roleId);


    List<SysRoleMenu> queryByRoleIdOnlyLeaf(String roleId);
    SysRoleMenu selectByRoleIdMenuId(String roleId, String s);
}